Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007211opensim[REGION] OpenSim Corepublic2014-06-09 16:492015-08-18 09:35
Reporterkenvc 
Assigned Tokenvc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformDual Xeon Quad core 32gbOSWindows 64OS VersionServer 2012
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007211: WARN - OpenSim.Region.DataSnapshot.DataSnapshotManager [DATASNAPSHOT]: Caught unknown exception while trying to load snapshot:
DescriptionSeeing the following warning on startup of a var region.

WARN - OpenSim.Region.DataSnapshot.DataSnapshotManager [DATASNAPSHOT]: Caught unknown exception while trying to load snapshot:
Additional Information2014-06-09 18:33:04,888 WARN - OpenSim.Region.DataSnapshot.DataSnapshotManager [DATASNAPSHOT]: Caught unknown exception while trying to load snapshot: at System.Collections.Generic.Dictionary`2.get_Item(TKey key)
   at OpenSim.Region.CoreModules.World.Land.LandManagementModule.GetLandObject(Int32 x, Int32 y, Boolean returnNullIfLandObjectOutsideBounds) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\CoreModules\World\Land\LandManagementModule.cs:line 866
   at OpenSim.Region.CoreModules.World.Land.LandManagementModule.GetLandObject(Single x_float, Single y_float) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\CoreModules\World\Land\LandManagementModule.cs:line 779
   at OpenSim.Region.CoreModules.World.Land.LandChannel.GetLandObject(Single x_float, Single y_float) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\CoreModules\World\Land\LandChannel.cs:line 81
   at OpenSim.Region.DataSnapshot.Providers.ObjectSnapshot.RequestSnapshotData(XmlDocument nodeFactory) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\DataSnapshot\ObjectSnapshot.cs:line 121
   at OpenSim.Region.DataSnapshot.SnapshotStore.GetFragment(IDataSnapshotProvider provider, XmlDocument factory) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\DataSnapshot\SnapshotStore.cs:line 96
   at OpenSim.Region.DataSnapshot.SnapshotStore.GetScene(Scene scene, XmlDocument factory) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region\DataSnapshot\SnapshotStore.cs:line 186
   at OpenSim.Region.DataSnapshot.DataSnapshotManager.GetSnapshot(String regionName) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev Master\OpenSim\Region
TagsNo tags attached.
Git Revision or version numberr24842
Run Mode Grid (1 Region per Sim)
Physics EngineBasicPhysics, BulletSim
EnvironmentUnknown, .NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0027071)
kenvc (reporter)
2014-12-05 08:56

Have not seen this in a while, so assume it is now fixed.
(0029279)
aiaustin (developer)
2015-08-18 09:35

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2014-06-09 16:49 kenvc New Issue
2014-12-05 08:56 kenvc Note Added: 0027071
2014-12-05 08:56 kenvc Status new => resolved
2014-12-05 08:56 kenvc Fixed in Version => master (dev code)
2014-12-05 08:56 kenvc Resolution open => fixed
2014-12-05 08:56 kenvc Assigned To => kenvc
2015-08-18 09:35 aiaustin Note Added: 0029279
2015-08-18 09:35 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker